xcb_put_image(3)

NAME
xcb_put_image -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_put_image(xcb_connection_t *conn, uint8_t format, xcb_drawable_t drawable, xcb_gcontext_t gc, uint16_t width, uint16_t height, int16_t dst_x, int16_t dst_y, uint8_t left_pad, uint8_t depth, uint32_t data_len, const uint8_t *data);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

format
    One of the following values:

    XCB_IMAGE_FORMAT_XY_BITMAP
        TODO: NOT YET DOCUMENTED.

    XCB_IMAGE_FORMAT_XY_PIXMAP
        TODO: NOT YET DOCUMENTED.

    XCB_IMAGE_FORMAT_Z_PIXMAP
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

drawable
    TODO: NOT YET DOCUMENTED.

gc  TODO: NOT YET DOCUMENTED.

width
    TODO: NOT YET DOCUMENTED.

height
    TODO: NOT YET DOCUMENTED.

dst_x
    TODO: NOT YET DOCUMENTED.

dst_y
    TODO: NOT YET DOCUMENTED.

left_pad
    TODO: NOT YET DOCUMENTED.

depth
    TODO: NOT YET DOCUMENTED.

data_len
    TODO: NOT YET DOCUMENTED.

data
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_put_image_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.